import { View } from "@nativescript/core";
import { PagerBase } from "./common";
export * from "./common";
export { ItemsSource, Transformer } from "./common";
export declare class Pager extends PagerBase {
    lastEvent: number;
    private _disableSwipe;
    private _disableAnimation;
    _layout: any;
    _preparingCell: boolean;
    _delegate: any;
    private _dataSource;
    _map: Map<PagerCell, View>;
    borderRadius: number;
    borderWidth: number;
    borderColor: string;
    backgroundColor: any;
    _isDirty: boolean;
    _isRefreshing: boolean;
    private _pager;
    private _indicatorView;
    private _observableArrayInstance;
    _isInit: boolean;
    constructor();
    get pager(): UICollectionView;
    get indicatorView(): any;
    createNativeView(): UIView;
    initNativeView(): void;
    _getRealWidthHeight(): {
        width: number;
        height: number;
    };
    _nextIndex(): number;
    _initAutoPlay(value: boolean): void;
    getPosition(index: number): number;
    get itemCount(): number;
    get lastIndex(): number;
    get firstDummy(): number;
    get lastDummy(): number;
    get ios(): any;
    private _setIndicator;
    get _childrenCount(): number;
    itemTemplateUpdated(oldData: any, newData: any): void;
    _setNativeClipToBounds(): void;
    eachChildView(callback: (child: View) => boolean): void;
    _updateScrollPosition(): void;
    private _autoPlayInterval;
    private _observableArrayHandler;
    _onItemsChanged(oldValue: any, newValue: any): void;
    _scrollToIndexAnimated(index: number, animate: boolean): void;
    scrollToIndexAnimated(index: number, animate: boolean): void;
    private _reset;
    private _refresh;
    refresh(): void;
    onLoaded(): void;
    onUnloaded(): void;
    disposeNativeView(): void;
    get disableAnimation(): boolean;
    set disableAnimation(value: boolean);
    _removeContainer(cell: PagerCell, indexPath?: NSIndexPath): void;
    measure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    onMeasure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    onLayout(left: number, top: number, right: number, bottom: number): void;
    requestLayout(): void;
    _prepareCell(cell: PagerCell, indexPath: NSIndexPath): void;
    _layoutCell(cellView: View, index: NSIndexPath): void;
    _addChildFromBuilder(name: string, value: any): void;
    get horizontalOffset(): number;
    get verticalOffset(): number;
    _getSpacing(): number;
    _getPeaking(): number;
    _getSize(w?: number, h?: number): {
        width: number;
        height: number;
    };
}
declare class PagerCell extends UICollectionViewCell {
    owner: WeakRef<View>;
    index: NSIndexPath;
    get view(): View;
    static initWithEmptyBackground(): PagerCell;
    willMoveToSuperview(newSuperview: UIView): void;
}
